gtkmm 2.4: Gtk::CellRendererCombo Class Reference

Main Page Widgets Namespaces Book

# Gtk::CellRendererCombo Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::CellRendererCombo:

[legend]
List of all members.

## Detailed Description

Renders a combobox in a cell.

CellRendererCombo renders text in a cell like CellRendererText, from which it is derived. But while CellRendererText offers a simple entry to edit the text, CellRendererCombo offers a ComboBox or ComboBoxEntry widget to edit the text. The values to display in the combo box are taken from the tree model specified in the model property.

The combo cell renderer takes care of adding a text cell renderer to the combo box and sets it to display the column specified by its text_column property. Further cell renderers can be added in a handler for the editing_started signal.

## Public Member Functions
virtual Glib::ustring | _property_renderable ()
| Returns the property that this CellRenderer renders.
| CellRendererCombo ()
const GtkCellRendererCombo* | gobj () const
| Provides access to the underlying C GtkObject.
GtkCellRendererCombo* | gobj ()
| Provides access to the underlying C GtkObject.
virtual | ~CellRendererCombo ()
## Related Functions
(Note that these are not member functions.)
Gtk::CellRendererCombo* | wrap (GtkCellRendererCombo* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::CellRendererCombo::~CellRendererCombo | ( |  | ) | `[virtual]`

Gtk::CellRendererCombo::CellRendererCombo | ( |  | ) |

## Member Function Documentation

virtual Glib::ustring Gtk::CellRendererCombo::_property_renderable | ( |  | ) | `[virtual]`

| Returns the property that this CellRenderer renders. For instance, property_text for CellRendererText, and property_active for CellRendererToggle Needs to be overridden in derived classes. Reimplemented from Gtk::CellRendererText.

const GtkCellRendererCombo* Gtk::CellRendererCombo::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CellRendererText.

GtkCellRendererCombo* Gtk::CellRendererCombo::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CellRendererText.

## Friends And Related Function Documentation

Gtk::CellRendererCombo* wrap | ( | GtkCellRendererCombo* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cellrenderercombo.h